Computer (JUnit API)
Keywords: org.junit.runner.Computer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.junit.runner
Class Computer

    java.lang.Object
      org.junit.runner.Computer

Direct Known Subclasses:
  ParallelComputer

    public class Computer

extends Object

Represents a strategy for computing runners and suites. WARNING: this class is very likely to undergo serious changes in version 4.8 and beyond.

Constructor Summary
`Computer()`

Method Summary
`protected Runner` | `getRunner(RunnerBuilder builder, Class<?> testClass)` Create a single-class runner for `testClass`, using `builder`
`Runner` | `getSuite(RunnerBuilder builder, Class<?>[] classes)` Create a suite for `classes`, building Runners with `builder`.
`static Computer` | `serial()` Returns a new default computer, which runs tests in serial order

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Computer

    public Computer()

Method Detail

### serial

    public static Computer serial()

  Returns a new default computer, which runs tests in serial order

### getSuite

    public Runner getSuite(RunnerBuilder builder,
                           Class<?>[] classes)
                    throws InitializationError

  Create a suite for `classes`, building Runners with `builder`. Throws an InitializationError if Runner construction fails

  Throws:
    `InitializationError`

### getRunner

    protected Runner getRunner(RunnerBuilder builder,
                               Class<?> testClass)
                        throws Throwable

  Create a single-class runner for `testClass`, using `builder`

  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD